com::lomiri::location::Clock Struct Reference

Defines the timebase of the location service. More...

`#include <clock.h>`

Collaboration diagram for com::lomiri::location::Clock:

## Public Types

typedef std::chrono::high_resolution_clock | Type
| The underlying clock we are assuming for all time-stamping purposes.
typedef std::chrono::high_resolution_clock::duration | Duration
| Duration type of the location service clock.
typedef std::chrono::high_resolution_clock::time_point | Timestamp
| Timestamp type of the location service clock.

## Static Public Member Functions

static Timestamp | now ()
| Samples a timestamp from the clock.
static Timestamp | beginning_of_time ()
| Samples a timestamp from the clock.

## Detailed Description

Defines the timebase of the location service.

Definition at line 32 of file clock.h.

## Member Typedef Documentation

## Duration

typedef std::chrono::high_resolution_clock::duration com::lomiri::location::Clock::Duration

Duration type of the location service clock.

Definition at line 40 of file clock.h.

## Timestamp

typedef std::chrono::high_resolution_clock::time_point com::lomiri::location::Clock::Timestamp

Timestamp type of the location service clock.

Definition at line 45 of file clock.h.

## Type

typedef std::chrono::high_resolution_clock com::lomiri::location::Clock::Type

The underlying clock we are assuming for all time-stamping purposes.

Definition at line 35 of file clock.h.

## Member Function Documentation

## beginning_of_time()

Timestamp com::lomiri::location::Clock::beginning_of_time | ( |  | ) |

inline static

Samples a timestamp from the clock.

Returns
  The minimum point in time representable by this clock.

Definition at line 60 of file clock.h.

## now()

Timestamp com::lomiri::location::Clock::now | ( |  | ) |

inline static

Samples a timestamp from the clock.

Returns
  The current time.

Definition at line 51 of file clock.h.

The documentation for this struct was generated from the following file:

- clock.h